libccscript3-1.1-0_1.1.7-2_amd64.deb


Advertisement

Description

libccscript3-1.1-0 - GNU Common C++ framework for embedded scripting

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libccscript3-1.1-0
Package version: 1.1.7
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 438 B
Download size: 134.13 KB
Official Mirror: ftp.br.debian.org
The GNU ccScript package offers a class extensible threaded embedded scripting engine for use with GNU Common C++. This engine is also used in GNU Bayonne (the GNU telephony application server package) and other parts of GNUCOMM (the GNU telephony meta-project). This engine differs from traditional scripting systems in that it is used to script near real-time state-event systems through deterministic callback step execution rather than the linear and non-deterministic fashion of embedded script systems such as Tcl, libguile, etc.

Alternatives

    Download

    Source package: libccscript3

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libccscript3-1.1-0 deb package:
      # sudo apt-get install libccscript3-1.1-0

    Files

    • /usr/lib/x86_64-linux-gnu/libccscript3-1.1.so.0
    • /usr/lib/x86_64-linux-gnu/libccscript3-1.1.so.0.0.7
    • /usr/lib/x86_64-linux-gnu/ccscript3-1.1/check.dso
    • /usr/lib/x86_64-linux-gnu/ccscript3-1.1/csv.dso
    • /usr/lib/x86_64-linux-gnu/ccscript3-1.1/locker.dso
    • /usr/lib/x86_64-linux-gnu/ccscript3-1.1/math.dso
    • /usr/lib/x86_64-linux-gnu/ccscript3-1.1/odbc.dso
    • /usr/lib/x86_64-linux-gnu/ccscript3-1.1/property.dso
    • /usr/lib/x86_64-linux-gnu/ccscript3-1.1/sort.dso
    • /usr/lib/x86_64-linux-gnu/ccscript3-1.1/string.dso
    • /usr/lib/x86_64-linux-gnu/ccscript3-1.1/time.dso
    • /usr/lib/x86_64-linux-gnu/ccscript3-1.1/url.dso
    • /usr/lib/x86_64-linux-gnu/ccscript3-1.1/userauth.dso
    • /usr/share/doc/libccscript3-1.1-0/changelog.Debian.gz
    • /usr/share/doc/libccscript3-1.1-0/changelog.gz
    • /usr/share/doc/libccscript3-1.1-0/copyright

    Changelog

    2012-06-23 - Mark Purcell <msp@debian.org> libccscript3 (1.1.7-2) unstable; urgency=low * wheezey polish * Ack NMUs - Thanks Gregor & Luk * Update to Standards Version 3.9.3 * source/format -> 3.0 (quilt) * debian/compat -> 9 hardening and multiarch * switch to dh - drop cdbs * Remove obsolete debian/*dirs * misc lintian fixes

    2011-11-20 - gregor herrmann <gregoa@debian.org> libccscript3 (1.1.7-1.2) unstable; urgency=low * Non-maintainer upload. * Fix "FTBFS: compiler.cpp:1147:38: error: format not a string literal and no format arguments [-Werror=format-security]": add patch error_format_security.patch, thanks to Ilya Barygin. (Closes: #643417)

    2011-07-01 - Luk Claes <luk@debian.org> libccscript3 (1.1.7-1.1) unstable; urgency=low * Non-maintainer upload. * Empty dependency_libs (Closes: #621602).

    2009-02-16 - Mark Purcell <msp@debian.org> libccscript3 (1.1.7-1) unstable; urgency=low * New upstream release * Add misc-depends & update Standards 3.8

    2008-03-06 - Faidon Liambotis <paravoid@debian.org> libccscript3 (1.1.6-3) unstable; urgency=low [ Kilian Krause ] * Download from correct URL. * Add dpkg-dev (>= 1.13.19) to Build-Depends for binary:Version * Add Homepage field as added in dpkg-dev 1.14.6. [ Faidon Liambotis ] * Add XS-Vcs-Svn and XS-Vcs-Browser to debian/control. * Fix FTBFS with gcc 4.3, thanks to Cyril Brulebois! (Closes: #455428) * Use "Tcl" instead of "tcl" in the long description. * Bump Standards-Version to 3.7.3, no changes needed. * Add myself to Uploaders. [ Mark Purcell ] * Cleanup get-orig-source VARS

    2007-06-22 - Mark Purcell <msp@debian.org> libccscript3 (1.1.6-2) unstable; urgency=low * Reapply dbug326756 patch - FTBFS (amd64): cannot convert 'long int*' to 'SQLINTEGER*' for argument '2' to 'SQLRETURN SQLRowCount(void*, SQLINTEGER*)' (Closes: #326756) * linitan-cleanup: substvar-source-version-is-deprecated

    2007-04-12 - Mark Purcell <msp@debian.org> libccscript3 (1.1.6-1) unstable; urgency=low * New upstream release * Switch to cdbs * Maintainer: Debian VoIP Team * libccscript-dev Depends: pkg-config

    2007-01-11 - Mark Purcell <msp@debian.org> libccscript3 (1.1.3-1) unstable; urgency=low * New upstream release

    2006-10-22 - Mark Purcell <msp@debian.org> libccscript3 (1.1.0-1) unstable; urgency=low * New upstream release * Ack NMU. Thanks Thomas. (Closes: #365518) * Bump soname: package-name-doesnt-match-sonames libccscript3-1.1-0

    2006-06-10 - Thomas Girard <thomas.g.girard@free.fr> libccscript3 (1.0.9-1.1) unstable; urgency=low * Non-maintainer upload. * Use the right type for row count. Closes: 365518.

    Advertisement
    Advertisement